Subject: Re: bug#40529: 26.3; global-display-line-numbers-mode and flymake-show-diagnostics-buffer error

From: João Távora <[email-masked]>
Date: Fri, 10 Apr 2020 17:09:36 +0100

On Fri, Apr 10, 2020 at 4:50 PM Eli Zaretskii <[email-masked]> wrote:

> > From: João Távora <[email-masked]>
> > Date: Fri, 10 Apr 2020 15:38:58 +0100
> > Cc: [email-masked], [email-masked]
> >
> >  Exactly.  I think this answers your question in the first paragraph.
> >
> > Yes, and it raises another one for which I don't have an answer to.
> > Why does it do that? What do line numbers have to do with
> > tabulated lists?
>
> When line numbers are turned on or off in a buffer under
> tabulated-list-mode, the buffer needs to be redisplayed because the
> column counts change, and that affects alignment of the columns.
> That's why tabulated-list-mode defines a function to be run from
> display-line-numbers-mode-hook.
>

Thanks.  That makes some sense, though I didn't know line numbers
affected column counts in the actual buffer contents (I though they used
the margin or the fringe, but I confess my ignorance here).  Anyway, this
leaves me wondering if there isn't a hook ordering bug here. Maybe it's
just a question of delaying entry in tabulated-list-mode until important
stuff
is set up.  I don't know, I haven't looked at actual code yet.

João